package com.gingersoft.supply_chain.mvp.bean;

/**
 * @author 宇航.
 * User: admin
 * Date: 2021/1/14
 * Time: 14:53
 * Use:
 */
public class WareHousingUnitBean {

    private Integer id;
    /**
     * 入庫單詳情id
     */
    private Integer purchaseWarehousingOrderDetailsId;
    /**
     * 副單位名稱
     */
    private String unitName;
    /**
     * 副單位值
     */
    private double unitValue;
    /**
     * 入庫單位單價
     */
    private double unitPrice;
    /**
     * 換算倍數
     */
    private double conversionMultiple;

    private int brandId;

    private int restaurantId;

    public WareHousingUnitBean(int purchaseWarehousingOrderDetailsId, String unitName, double unitValue, double conversionMultiple) {
        this.purchaseWarehousingOrderDetailsId = purchaseWarehousingOrderDetailsId;
        this.unitName = unitName;
        this.unitValue = unitValue;
        this.conversionMultiple = conversionMultiple;
    }

    public WareHousingUnitBean() {
    }


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getPurchaseWarehousingOrderDetailsId() {
        return purchaseWarehousingOrderDetailsId;
    }

    public void setPurchaseWarehousingOrderDetailsId(int purchaseWarehousingOrderDetailsId) {
        this.purchaseWarehousingOrderDetailsId = purchaseWarehousingOrderDetailsId;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public double getUnitValue() {
        return unitValue;
    }

    public void setUnitValue(double unitValue) {
        this.unitValue = unitValue;
    }

    public double getConversionMultiple() {
        return conversionMultiple;
    }

    public void setConversionMultiple(double conversionMultiple) {
        this.conversionMultiple = conversionMultiple;
    }

    public int getBrandId() {
        return brandId;
    }

    public void setBrandId(int brandId) {
        this.brandId = brandId;
    }

    public int getRestaurantId() {
        return restaurantId;
    }

    public void setRestaurantId(int restaurantId) {
        this.restaurantId = restaurantId;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public double getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(double unitPrice) {
        this.unitPrice = unitPrice;
    }
}
